using TMPro;
using UnityEngine;
using UnityEngine.AI;
using UnityEngine.UIElements;

public class InteractionUI : MonoBehaviour
{
    public TextMeshProUGUI NameText; //대화창 이름
    public TextMeshProUGUI DialogText; //대화창 내용
    public GameObject DialogPopup; // 대화창

    [SerializeField] private GameObject _sit_Interaction_Box;
    [SerializeField] private GameObject _pushHard_Interaction_Box;

    public void UpdateSitBox(Transform sitTransform) //앉는 위치를 아이콘이 따라 다니도록
    {
        if (sitTransform == null) return;
        Vector3 pos = Camera.main.WorldToScreenPoint(sitTransform.position + sitTransform.up * 0.5f); //아이콘 위치
    }

    public void OnOffSitBox(bool isOn) //앉기 아이콘 온오프용
    {
        if (_sit_Interaction_Box != null)
            _sit_Interaction_Box.gameObject.SetActive(isOn);
    }

    public void UpdateSitBoxPos(Vector3 pos)
    {
        _sit_Interaction_Box.transform.position = pos;
    }
}
